-- name: SM64 - Twisted Adventures
-- description: 151 Star Romhack created by SomeRussianMarioDude in 2012. Huge thanks to him for letting this port happen!\n\nPorted by BlackJoystick.\n\nIt is recommended to play without stay in level enabled, as some stars work act wise.
-- incompatible: romhack

gLevelValues.entryLevel = LEVEL_CASTLE_COURTYARD
gBehaviorValues.trajectories.KoopaBobTrajectory = get_trajectory('KoopaBoB_path')
gBehaviorValues.trajectories.KoopaThiTrajectory = get_trajectory('KoopaTHI_path')

gServerSettings.skipIntro = 1

camera_set_use_course_specific_settings(false)

smlua_audio_utils_replace_sequence(0x01, 0x22, 75, "01_Seq_custom")
smlua_audio_utils_replace_sequence(0x02, 0x0E, 75, "02_Seq_custom")
smlua_audio_utils_replace_sequence(0x03, 0x23, 75, "03_Seq_custom")
smlua_audio_utils_replace_sequence(0x04, 0x22, 75, "04_Seq_custom")
smlua_audio_utils_replace_sequence(0x05, 0x25, 75, "05_Seq_custom")
smlua_audio_utils_replace_sequence(0x06, 0x19, 75, "06_Seq_custom")
smlua_audio_utils_replace_sequence(0x07, 0x12, 75, "07_Seq_custom")
smlua_audio_utils_replace_sequence(0x08, 0x23, 75, "08_Seq_custom")
smlua_audio_utils_replace_sequence(0x09, 0x0D, 75, "09_Seq_custom")
smlua_audio_utils_replace_sequence(0x0A, 0x21, 75, "0A_Seq_custom")
smlua_audio_utils_replace_sequence(0x0B, 0x14, 75, "0B_Seq_custom")
smlua_audio_utils_replace_sequence(0x0C, 0x25, 75, "0C_Seq_custom")
smlua_audio_utils_replace_sequence(0x0D, 0x19, 75, "0D_Seq_custom")
smlua_audio_utils_replace_sequence(0x0E, 0x0B, 75, "0E_Seq_custom")
smlua_audio_utils_replace_sequence(0x0F, 0x18, 75, "0F_Seq_custom")
smlua_audio_utils_replace_sequence(0x10, 0x12, 75, "10_Seq_custom")
smlua_audio_utils_replace_sequence(0x12, 0x1F, 75, "12_Seq_custom")
smlua_audio_utils_replace_sequence(0x13, 0x25, 75, "13_Seq_custom")
smlua_audio_utils_replace_sequence(0x14, 0x1A, 75, "14_Seq_custom")
smlua_audio_utils_replace_sequence(0x15, 0x0E, 75, "15_Seq_custom")
smlua_audio_utils_replace_sequence(0x16, 0x1B, 75, "16_Seq_custom")
smlua_audio_utils_replace_sequence(0x17, 0x1A, 75, "17_Seq_custom")
smlua_audio_utils_replace_sequence(0x18, 0x0B, 75, "18_Seq_custom")
smlua_audio_utils_replace_sequence(0x1B, 0x14, 75, "1B_Seq_custom")
smlua_audio_utils_replace_sequence(0x1C, 0x20, 75, "1C_Seq_custom")
smlua_audio_utils_replace_sequence(0x1D, 0x1E, 75, "1D_Seq_custom")
smlua_audio_utils_replace_sequence(0x1E, 0x25, 75, "1E_Seq_custom")
smlua_audio_utils_replace_sequence(0x1F, 0x1A, 75, "1F_Seq_custom")
smlua_audio_utils_replace_sequence(0x20, 0x25, 75, "20_Seq_custom")
smlua_audio_utils_replace_sequence(0x21, 0x0E, 75, "21_Seq_custom")
smlua_audio_utils_replace_sequence(0x23, 0x0E, 75, "23_Seq_custom")
smlua_audio_utils_replace_sequence(0x24, 0x25, 75, "24_Seq_custom")
smlua_audio_utils_replace_sequence(0x28, 0x13, 75, "28_Seq_custom")

vec3f_set(gLevelValues.starPositions.KoopaBobStarPos, 3030, 4500, -4600)
vec3f_set(gLevelValues.starPositions.KoopaThiStarPos, 4491, 7008, -5685)
vec3f_set(gLevelValues.starPositions.KingBobombStarPos, 2929.0, 594.0, 5190.0)
vec3f_set(gLevelValues.starPositions.KingWhompStarPos, -7877.0, 365.0, 6380.0)
vec3f_set(gLevelValues.starPositions.EyerockStarPos, 0.0, -900.0, -3700.0)
vec3f_set(gLevelValues.starPositions.BigBullyStarPos, 1638.0, 208.0, 352.0)
vec3f_set(gLevelValues.starPositions.ChillBullyStarPos, 130.0, 1600.0, -4335.0)
vec3f_set(gLevelValues.starPositions.BigPiranhasStarPos, 1802.0, 3542.0, -4237.0)
vec3f_set(gLevelValues.starPositions.TuxieMotherStarPos, -4626.0, 208.0, 6122.0)
vec3f_set(gLevelValues.starPositions.WigglerStarPos, 0.0, 2048.0, 0.0)
vec3f_set(gLevelValues.starPositions.PssSlideStarPos, -6358.0, -4300.0, 4700.0)
vec3f_set(gLevelValues.starPositions.RacingPenguinStarPos, -7339.0, -5700.0, -6774.0)
vec3f_set(gLevelValues.starPositions.TreasureChestStarPos, -1800.0, -2500.0, -1700.0)
vec3f_set(gLevelValues.starPositions.GhostHuntBooStarPos, 980.0, 1100.0, 250.0)
vec3f_set(gLevelValues.starPositions.KleptoStarPos, -5550.0, 300.0, -930.0)
vec3f_set(gLevelValues.starPositions.MerryGoRoundStarPos, -1600.0, -2100.0, 205.0)
vec3f_set(gLevelValues.starPositions.MrIStarPos, 4714.0, 1094.0, -2641.0)
vec3f_set(gLevelValues.starPositions.BalconyBooStarPos, -2641.0, 5156.0, -2093.0)
vec3f_set(gLevelValues.starPositions.BigBullyTrioStarPos, -1490.0, 4416.0, -3169.0)